/// <reference types="node" />
import BN from 'bn.js';
export interface TransactionParams {
    nonce: number;
    gasPriceWei: BN;
    gasLimit: BN;
    toAddress?: string | null;
    valueWei: BN;
    data?: string | null;
    chainId?: number;
    v?: number;
    r?: string;
    s?: string;
}
export declare class Transaction {
    private nonce;
    private gasPriceWei;
    private gasLimit;
    private toAddress;
    private valueWei;
    private data;
    private chainId?;
    private v;
    private r;
    private s;
    constructor(params: TransactionParams);
    get fields(): Buffer[];
    get rlp(): Buffer;
    get hash(): Buffer;
    get fieldsForSigning(): Buffer[];
    get hashForSigning(): Buffer;
    sign(privateKey: Buffer): Buffer;
}
